package lu.tudor.santec.gecamed.patient.utils;

import java.io.Serializable;

/**
 * @author hermenj
 *
 * @version
 * <br>$Log: PatientUpdateObject.java,v $
 */
public class PatientUpdateObject implements Serializable{
	private static final long serialVersionUID = 815L;
	
	public static final String STATUS_UPDATED 	= "UPDATED";
	public static final String STATUS_DELETED 	= "DELETED";
	public static final String STATUS_ADDED 	= "ADDED";
	
	public static final String C_ALLERGIES = "ALLERGIES";
	
	private Integer patID;
	private String ssn;
	private String status;
	private String context;
	private String desc;

	public PatientUpdateObject(Integer patID, String ssn, String status, String context, String desc) { 
		this.patID = patID;
		this.ssn = ssn;
		this.status = status;
		this.context = context;
		this.desc = desc;
	}

	public Integer getPatID() {
		return patID;
	}

	public void setPatID(Integer patID) {
		this.patID = patID;
	}

	public String getSsn() {
		return ssn;
	}

	public void setSsn(String ssn) {
		this.ssn = ssn;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getContext() {
		return context;
	}

	public void setContext(String context) {
		this.context = context;
	}

	public String getDesc() {
		return desc;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}
	
	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append("Pat: ").append(getPatID()).append(" ").append(getSsn()).append(" ");
		sb.append(getStatus()).append(" ").append(getContext()).append("\n").append(getDesc());
		return sb.toString();
	}
	
}
